CVE Vulnerabilities

CVE-2017-14612

Improper Certificate Validation

Published: Jul 12, 2018 | Modified: Sep 11, 2018
CVSS 3.x
5.9
MEDIUM
Source:
NVD
CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N
CVSS 2.x
4.3 MEDIUM
AV:N/AC:M/Au:N/C:P/I:N/A:N
RedHat/V2
RedHat/V3
Ubuntu

Shpock Boot Sale & Classifieds app before 3.17.0 – aka shpock-boot-sale-classifieds/id557153158 – for iOS does not verify X.509 certificates from SSL servers, which allows man-in-the-middle attackers to spoof servers and obtain sensitive information via a crafted certificate.

Weakness

The product does not validate, or incorrectly validates, a certificate.

Affected Software

Name Vendor Start Version End Version
Shpock Shpock * *

Potential Mitigations

References